Skip to navigation

List course lesson interactions

Returns a paginated list of lesson interactions, filtered by lesson, course, user, or completion status.

Required permissions:

  • courses:read
  • course_analytics:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Query parameters

afterstring or nullOptional
beforestring or nullOptional
firstinteger or nullOptional
lastinteger or nullOptional
user_idstring or nullOptional
lesson_idstring or nullOptional
course_idstring or nullOptional
completedboolean or nullOptional

Response

A successful response
datalist of objects
A list of nodes.
page_infoobject
Information to aid in pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error